[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenuItem.DoClicked

DoClicked- process the system message signifying that a click has occurred over this menu item.

## Declaration

Source position: menus.pp line 237

`protected procedure TMenuItem.DoClicked(`
`var msg`
`); message;`

## Arguments

`msg` |  | Message handled in the method.

## Description

At run-time, DoClicked calls InitiateAction to update the actions for each of the Items in the class instance, and calls Click to execute the menu item.

At design-time, the Click event is intercepted by the design surface for the IDE.